corda / net.corda.core.serialization / SerializedBytesSerializer

# SerializedBytesSerializer

`object SerializedBytesSerializer : Serializer<SerializedBytes<Any>>`

A serialiser that avoids writing the wrapper class to the byte stream, thus ensuring SerializedBytes is a pure type safety hack.

### Functions

read | `fun read(kryo: Kryo, input: Input, type: Class<SerializedBytes<Any>>): SerializedBytes<Any>`
write | `fun write(kryo: Kryo, output: Output, obj: SerializedBytes<Any>): Unit`